#
#
# Example 12:   Tensor decomposable (C4)
#
#               First group: 2.O(7,3) tensor Sp(6,3) < GL(48,3)
#                            < GL(8,3)       < GL(6,3)
#
SetInfoLevel(InfoRecog,1);
Read("ex12data.g");
g;
DimensionOfMatrixGroup(g);
FieldOfMatrixGroup(g);
ri := RecogniseGroup(g);
time;
Size(ri);
ri;
SetInfoLevel(InfoRecog,2);
#
#
# Second group: SL(5,8) < GL(25,8)
#               (natural module tensor natural twisted with Frobenius)
#
gg;
DimensionOfMatrixGroup(gg);
FieldOfMatrixGroup(gg);
ri := RecogniseGroup(gg);
time;
Size(ri);
ri;
